#include "binres.hpp"

// Embedded PGNs:
#include "swap_png.hpp"
#include "zoomin_png.hpp"
#include "zoomout_png.hpp"
#include "cburnett_png.hpp"
#include "chesscom_8bits_png.hpp"
#include "hide_png.hpp"
#include "mat_png.hpp"
#include "ochess_png.hpp"

wxBitmap LoadPNG(std::string icon, wxSize size) {
  wxImage img = LoadPNG(icon).ConvertToImage();
  return (wxBitmap(
      img.Scale(size.GetWidth(), size.GetHeight(), wxIMAGE_QUALITY_HIGH)));
}

wxBitmap LoadPNG(std::string icon) {
  if (icon == "swap") {
    return (wxBITMAP_PNG_FROM_DATA(swap));
  } else if (icon == "zoomin") {
    return (wxBITMAP_PNG_FROM_DATA(zoomin));
  } else if (icon == "zoomout") {
    return (wxBITMAP_PNG_FROM_DATA(zoomout));
  } else if (icon == "cburnett") {
    return (wxBITMAP_PNG_FROM_DATA(cburnett));
  } else if (icon == "chesscom_8bits") {
    return (wxBITMAP_PNG_FROM_DATA(chesscom_8bits));
  } else if (icon == "hide") {
    return (wxBITMAP_PNG_FROM_DATA(hide));
  } else if (icon == "mat") {
    return (wxBITMAP_PNG_FROM_DATA(mat));
  } else if (icon == "ochess") {
    return (wxBITMAP_PNG_FROM_DATA(ochess));
  }
  return (wxNullBitmap);
}

